Random123-1.09: Random123/array.h File Reference

- Random123-1.09 Documentation

Classes | Namespaces | Defines | Typedefs | Functions

# Random123/array.h File Reference

`#include "features/compilerfeatures.h"`
`#include "features/sse.h"`
`#include <stddef.h>`
`#include <algorithm>`
`#include <stdexcept>`
`#include <iterator>`
`#include <limits>`
`#include <iostream>`

Go to the source code of this file.

## Classes
struct | r123array1x32
struct | r123array2x32
struct | r123array4x32
struct | r123array8x32
struct | r123array1x64
struct | r123array2x64
struct | r123array4x64
struct | r123array16x8
struct | r123array1xm128i
## Namespaces
namespace | r123
## Defines
#define | R123_W(a) (8*sizeof(((a *)0)->v[0]))
## Typedefs
typedef r123array1x32 | r123::Array1x32
typedef r123array2x32 | r123::Array2x32
typedef r123array4x32 | r123::Array4x32
typedef r123array8x32 | r123::Array8x32
typedef r123array1x64 | r123::Array1x64
typedef r123array2x64 | r123::Array2x64
typedef r123array4x64 | r123::Array4x64
typedef r123array16x8 | r123::Array16x8
typedef r123array1xm128i | r123::Array1xm128i
## Functions
std::ostream & | operator<< (std::ostream &os, const r123array1x32 &a)
std::istream & | operator>> (std::istream &is, r123array1x32 &a)
std::ostream & | operator<< (std::ostream &os, const r123array2x32 &a)
std::istream & | operator>> (std::istream &is, r123array2x32 &a)
std::ostream & | operator<< (std::ostream &os, const r123array4x32 &a)
std::istream & | operator>> (std::istream &is, r123array4x32 &a)
std::ostream & | operator<< (std::ostream &os, const r123array8x32 &a)
std::istream & | operator>> (std::istream &is, r123array8x32 &a)
std::ostream & | operator<< (std::ostream &os, const r123array1x64 &a)
std::istream & | operator>> (std::istream &is, r123array1x64 &a)
std::ostream & | operator<< (std::ostream &os, const r123array2x64 &a)
std::istream & | operator>> (std::istream &is, r123array2x64 &a)
std::ostream & | operator<< (std::ostream &os, const r123array4x64 &a)
std::istream & | operator>> (std::istream &is, r123array4x64 &a)
std::ostream & | operator<< (std::ostream &os, const r123array16x8 &a)
std::istream & | operator>> (std::istream &is, r123array16x8 &a)
std::ostream & | operator<< (std::ostream &os, const r123array1xm128i &a)
std::istream & | operator>> (std::istream &is, r123array1xm128i &a)

## Define Documentation

#define R123_W | ( |  | a | ) | (8*sizeof(((a *)0)->v[0]))

## Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | const r123array1x32 & | a |
| ) |  |  | `[inline]`

std::ostream& operator<< | ( | std::ostream & | os,
|  | const r123array4x32 & | a |
| ) |  |  | `[inline]`

std::ostream& operator<< | ( | std::ostream & | os,
|  | const r123array1x64 & | a |
| ) |  |  | `[inline]`

std::ostream& operator<< | ( | std::ostream & | os,
|  | const r123array1xm128i & | a |
| ) |  |  | `[inline]`

std::ostream& operator<< | ( | std::ostream & | os,
|  | const r123array16x8 & | a |
| ) |  |  | `[inline]`

std::ostream& operator<< | ( | std::ostream & | os,
|  | const r123array2x64 & | a |
| ) |  |  | `[inline]`

std::ostream& operator<< | ( | std::ostream & | os,
|  | const r123array2x32 & | a |
| ) |  |  | `[inline]`

std::ostream& operator<< | ( | std::ostream & | os,
|  | const r123array4x64 & | a |
| ) |  |  | `[inline]`

std::ostream& operator<< | ( | std::ostream & | os,
|  | const r123array8x32 & | a |
| ) |  |  | `[inline]`

std::istream& operator>> | ( | std::istream & | is,
|  | r123array1x64 & | a |
| ) |  |  | `[inline]`

std::istream& operator>> | ( | std::istream & | is,
|  | r123array2x32 & | a |
| ) |  |  | `[inline]`

std::istream& operator>> | ( | std::istream & | is,
|  | r123array1xm128i & | a |
| ) |  |  | `[inline]`

std::istream& operator>> | ( | std::istream & | is,
|  | r123array2x64 & | a |
| ) |  |  | `[inline]`

std::istream& operator>> | ( | std::istream & | is,
|  | r123array4x32 & | a |
| ) |  |  | `[inline]`

std::istream& operator>> | ( | std::istream & | is,
|  | r123array16x8 & | a |
| ) |  |  | `[inline]`

std::istream& operator>> | ( | std::istream & | is,
|  | r123array8x32 & | a |
| ) |  |  | `[inline]`

std::istream& operator>> | ( | std::istream & | is,
|  | r123array1x32 & | a |
| ) |  |  | `[inline]`

std::istream& operator>> | ( | std::istream & | is,
|  | r123array4x64 & | a |
| ) |  |  | `[inline]`

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines